package com.cooleshow.student.constants;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.student.bean.CourseTableDataBean;

import java.util.Date;
import java.util.List;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface CourseTableContract {

    interface CourseTableView extends BaseView {
        void onGetCourseDateByMonthSuccess(List<String> datas);
        void onGetCourseSchedulesWithDateSuccess(CourseTableDataBean courseTableDataBean);
        void onGetCourseDateByMonthError();
    }

    interface Presenter {
        void getCourseScheduleDateByMonth(String month);
        void getCourseSchedulesWithDate(Date date);
    }
}
